import AntModal from '@/components/pt/dialog/AntModal'
import { getVCsisBusinessAsd, addVCsisBusinessAsd, updateVCsisBusinessAsd } from '@/api/system/vCsisBusinessAsd'

export default {
  name: 'CreateForm',
  props: {
 },
  components: {
    AntModal },
  data () {
    return {
      open: false,
      spinning: false,
      delayTime: 100,
      labelCol: { span: 4 },
      wrapperCol: { span: 14 },
      loading: false,
      total: 0,
      id: undefined,
      formTitle: '添加申报数据',
      // 表单参数
      form: {},
      rules: {
      }
    }
  },
  filters: {},
  created () {},
  computed: {},
  watch: {},
  mounted () {},
  methods: {
    onClose () {
      this.open = false
      this.reset()
      this.$emit('close')
    },
    // 取消按钮
    cancel () {
      this.open = false
      this.reset()
      this.$emit('close')
    },
    // 表单重置
    reset () {
      this.form = {
        id: undefined,
        awbno: undefined,
        cargodesc: undefined,
        pcs: undefined,
        securitytype: undefined,
        weight: undefined,
        wrappage: undefined,
        agentsalename: undefined,
        shippername: undefined,
        agentshipname: undefined,
        originairport: undefined,
        destairport: undefined,
        carriercode: undefined,
        flightno: undefined,
        flightdate: undefined,
        libname: undefined,
        libmodel: undefined
      }
    },
    /** 新增按钮操作 */
    handleAdd () {
      this.reset()
    },
    /** 修改按钮操作 */
    handleUpdate (row) {
      this.reset()
      this.open = true
      this.spinning = !this.spinning
      const vCsisBusinessAsdId = row.id
      getVCsisBusinessAsd(vCsisBusinessAsdId).then(response => {
        this.form = response.data
        this.formTitle = '修改申报数据'
        this.spinning = !this.spinning
      })
    },
    /** 提交按钮 */
    submitForm: function () {
      this.$refs.form.validate(valid => {
        if (valid) {
            const saveForm = JSON.parse(JSON.stringify(this.form))
			if (this.form.id !== undefined) {
				updateVCsisBusinessAsd(saveForm).then(response => {
					this.$message.success('新增成功', 3)
					this.open = false
					this.$emit('ok')
					this.$emit('close')
				})
              } else {
				addVCsisBusinessAsd(saveForm).then(response => {
					this.$message.success('新增成功', 3)
					this.open = false
					this.$emit('ok')
					this.$emit('close')
				})
			}
        } else {
          return false
        }
      })
    },
    back () {
      const index = '/system/vcsisbusinessasd/index'
      this.$router.push(index)
    }
  }
}
